Subject: Re: bug#16367: Need to be able to resize partition without touching underlying filesystem for XFS

From: Phillip Susi <[email-masked]>
Date: Thu, 09 Jan 2014 12:53:20 -0500

On 1/5/2014 7:46 PM, Aaron Williams wrote:
> One big problem I have with parted is that the only way I can grow
> my 3TB XFS partition is to delete the existing partition and create
> a new one with the same starting location.  My XFS partition is
> sitting on a logical volume of my RAID controller and when I run
> low on space I just grow that particular volume.
> 
> After recreating the partition I can just use the XFS tools to grow
> the XFS partition.

I have patches to add a resizepart command for this.  They are applied
to the debian parted package, but are still waiting review to be
applied upstream.  I should probably repost them here soon.